Bug 1260377 - DB upgrade script "jbpm-6.1-to-6.2.sql" does not contain alter statement for ContextMappingInfo.owner_id column
DB upgrade script "jbpm-6.1-to-6.2.sql" does not contain alter statement for ...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.1.0
All All
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Maciej Swiderski
Tibor Zimanyi
:
Depends On: 1235091 1273622
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 05:48 EDT by Musharraf Hussain
Modified: 2015-12-21 11:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4760 Major Resolved DB upgrade script "jbpm-6.1-to-6.2.sql" does not contain alter statement for ContextMappingInfo.owner_id column 2016-02-03 04:12 EST

  None (edit)
Description Musharraf Hussain 2015-09-06 05:48:49 EDT
Description of problem:
- The currently available "jbpm-6.1-to-6.2.sql" and "jbpm-6.0-to-6.1.sql" DB upgrade scripts [1][2] do not contain the necessary "ALTER" statement to update an existing database schema with the newly added "owner_id" column from "ContextMappingInfo" table, introduced in jBPM6.1 . 
- We already ship these scripts with BPMS 6.1.0 source code but they are missing the necessary SQL statement to allow customers to manually update an existing "ContextMappingInfo" table from BPMS 6.0.3 to be upgraded to be compatible with BPMS 6.1.0 updated schema.

[1] ./jbpm-6.2.0.Final-redhat-4/jbpm-installer/db/upgrade-scripts/jbpm-6.1-to-6.2.sql
[2] ./jbpm-6.2.0.Final-redhat-4/jbpm-installer/db/upgrade-scripts/jbpm-6.0-to-6.1.sql

Version-Release number of selected component (if applicable):
- BPMS 6.1.0

How reproducible:
- Always

Steps to Reproduce:
1. Check the SQL scripts from BPMS 6.1.0 source code as shown above.
2.
3.

Actual results:
- Scripts missing ALTER statements for ContextMappingInfo.owner_id table column.

Expected results:
- The necessary SQL statement should be there for ContextMappingInfo.owner_id table column.

Additional info:
- Nothing
Comment 3 Maciej Swiderski 2015-10-16 09:32:31 EDT
this is included in 6.0 to 6.1 upgrade script, see [1]

please note that these versions are referring to community versions and thus for product they need to be merged accordingly to what version of community given product version includes

[1]https://github.com/droolsjbpm/jbpm/blob/6.3.x/jbpm-installer/db/upgrade-scripts/oracle/jbpm-6.0-to-6.1.sql#L2
Comment 4 JBoss JIRA Server 2015-11-02 07:32:18 EST
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-4760 to Resolved
Comment 5 Tibor Zimanyi 2015-11-03 09:09:13 EST
Verified in 6.2.0.ER5. The alter statement is there in bpms-6.0-to-6.1.sql script provided in supplementary tools.

Note You need to log in before you can comment on or make changes to this bug.